A simple string comparator.

Compares two strings for eqiality in a binary safe manner. Implements the condition interface specification.

author | Andreas Aderhold <andi@binarycloud.com> @copyright 2001,2002 THYRELL. All rights reserved @version $Id: faec716501a00cdeb84b8c893b5bbe5c76064dec $ @access public @package phing.tasks.system.condition

### Methods

## evaluate()

    evaluate() : boolean

### Exceptions

`\BuildException` |

### Returns

`boolean`

## setArg1()

    setArg1($a1)

### Parameters

#### $a1

## setArg2()

    setArg2($a2)

### Parameters

#### $a2

## Should the comparison be case sensitive?

    setCaseSensitive(boolean $b)

### Parameters

#### $b

`boolean`

## Should we want to trim the arguments before comparing them?

    setTrim(boolean $b)

### Parameters

#### $b

`boolean`

### Properties

##

    $arg1

##

    $arg2

##

    $caseSensitive

##

    $trim